Class ProfileRequestBuilder
- Assembly
- Keycloak.AuthServices.Sdk.Kiota.dll
Builds and executes requests for operations under \admin\realms{realm}\users\profile
public class ProfileRequestBuilder : BaseRequestBuilder
- Inheritance
-
BaseRequestBuilderProfileRequestBuilder
- Inherited Members
-
BaseRequestBuilder.PathParametersBaseRequestBuilder.RequestAdapterBaseRequestBuilder.UrlTemplate
Constructors
ProfileRequestBuilder(Dictionary<string, object>, IRequestAdapter)
Instantiates a new ProfileRequestBuilder and sets the default values.
public ProfileRequestBuilder(Dictionary<string, object> pathParameters, IRequestAdapter requestAdapter)
Parameters
pathParametersDictionary<string, object>Path parameters for the request
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
ProfileRequestBuilder(string, IRequestAdapter)
Instantiates a new ProfileRequestBuilder and sets the default values.
public ProfileRequestBuilder(string rawUrl, IRequestAdapter requestAdapter)
Parameters
rawUrlstringThe raw URL to use for the request builder.
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
Properties
Metadata
The metadata property
public MetadataRequestBuilder Metadata { get; }
Property Value
Methods
GetAsync(Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)
Get the configuration for the user profile
public Task<UPConfig?> GetAsync(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
PutAsync(UPConfig, Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)
Set the configuration for the user profile
public Task<UPConfig?> PutAsync(UPConfig body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
bodyUPConfigThe request body
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
ToGetRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>?)
Get the configuration for the user profile
public RequestInformation ToGetRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)
Parameters
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
ToPutRequestInformation(UPConfig, Action<RequestConfiguration<DefaultQueryParameters>>?)
Set the configuration for the user profile
public RequestInformation ToPutRequestInformation(UPConfig body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)
Parameters
bodyUPConfigThe request body
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
WithUrl(string)
Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
public ProfileRequestBuilder WithUrl(string rawUrl)
Parameters
rawUrlstringThe raw URL to use for the request builder.